%define oname   selenium-webdriver

Name:       ruby-%{oname}
Version:    2.26.0
Release:    %mkrel 4
Summary:    The next generation developer focused tool for automated testing of web-apps
License:    Apache License
Group:      Development/Ruby
URL:        http://selenium.googlecode.com
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
# Source code from 
# http://code.google.com/p/selenium/source/browse/webdriver/trunk/firefox/src/cpp/linux-specific/x_ignore_nofocus.c
Source1:    x_ignore_nofocus.c
Source2:    print_events.h
BuildRequires: rubygems
BuildRequires: libx11-devel
BuildRequires: ruby-devel

%description
WebDriver is a tool for writing automated tests of websites. It aims to
mimic the behavior of a real user, and as such interacts with the HTML of
the application.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
# do not use the bundle so files
rm -rf lib/selenium/webdriver/firefox/native/linux/*
# add the .c source code
cp %{SOURCE1} %{SOURCE2} lib/selenium/webdriver/firefox/native/linux/

%build
pushd lib/selenium/webdriver/firefox/native/linux
gcc %{optflags} -fPIC -shared -fshort-wchar x_ignore_nofocus.c -o x_ignore_nofocus.so -ldl -lX11
#FIXME…
mkdir x86 amd64
cp x_ignore_nofocus.so x86
mv x_ignore_nofocus.so amd64
popd

%gem_build

%install
%gem_install

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%doc CHANGES


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 2.26.0-4.mga3
+ Revision: 396459
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.26.0-3.mga3
+ Revision: 381453
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 2.26.0-2.mga3
+ Revision: 313917
- doc is a noarch package
- fix linkage

* Sun Nov 04 2012 fwang <fwang> 2.26.0-1.mga3
+ Revision: 313911
- new version 2.26.0

* Sun Aug 12 2012 shlomif <shlomif> 2.25.0-1.mga3
+ Revision: 280875
- New version 2.25.0 (thanksto aghero)

  + solbu <solbu>
    - New version

* Thu Jun 07 2012 solbu <solbu> 2.20.0-1.mga3
+ Revision: 256715
- New version
- Spec cleanup

* Thu Sep 29 2011 fwang <fwang> 0.1.4-1.mga2
+ Revision: 150347
- br xlib
- tighten br

* Tue Apr 19 2011 shikamaru <shikamaru> 0.1.4-1.mga1
+ Revision: 88833
- try to fix bundled binary file (FIXME please)
- imported package ruby-selenium-webdriver

